HDF: java/src/jni/hdfvdataImp.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
hdfvdataImp.h File Reference
`#include <jni.h>`

## Functions
JNIEXPORT jlong JNICALL | Java_hdf_hdflib_HDFLibrary_VSattach (JNIEnv *env, jclass clss, jlong fid, jint vdata_ref, jstring accessmode)
JNIEXPORT void JNICALL | Java_hdf_hdflib_HDFLibrary_VSdetach (JNIEnv *env, jclass clss, jlong vdata_id)
JNIEXPORT jlong JNICALL | Java_hdf_hdflib_HDFLibrary_VSgetid (JNIEnv *env, jclass clss, jlong fid, jint vdata_ref)
JNIEXPORT void JNICALL | Java_hdf_hdflib_HDFLibrary_VSgetclass (JNIEnv *env, jclass clss, jlong vdata_id, jobjectArray hdfclass)
JNIEXPORT void JNICALL | Java_hdf_hdflib_HDFLibrary_VSgetname (JNIEnv *env, jclass clss, jlong vdata_id, jobjectArray hdfname)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VSelts (JNIEnv *env, jclass clss, jlong vdata_id)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_VSfdefine (JNIEnv *env, jclass clss, jlong vdata_id, jstring fieldname, jint numbertype, jint order)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_VSfexist (JNIEnv *env, jclass clss, jlong vdata_id, jstring fieldname)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VSfind (JNIEnv *env, jclass clss, jlong vdata_id, jstring fieldname)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VSsetblocksize (JNIEnv *env, jclass clss, jlong vdata_id, jint blocksize)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VSsetnumblocks (JNIEnv *env, jclass clss, jlong vdata_id, jint numblocks)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VSgetfields (JNIEnv *env, jclass clss, jlong vdata_id, jobjectArray fields)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VSgetinterlace (JNIEnv *env, jclass clss, jlong vdata_id)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_VSinquire (JNIEnv *env, jclass clss, jlong vdata_id, jintArray iargs, jobjectArray sargs)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_VSgetblockinfo (JNIEnv *env, jclass clss, jlong vdata_id, jintArray iargs)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VSlone (JNIEnv *env, jclass clss, jlong fid, jintArray ref_array, jint arraysize)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VSread (JNIEnv *env, jclass clss, jlong vdata_id, jbyteArray databuf, jint nrecords, jint interlace)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VSseek (JNIEnv *env, jclass clss, jlong vdata_id, jint nrecord)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_VSsetfields (JNIEnv *env, jclass clss, jlong vdata_id, jstring fields)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_VSsetinterlace (JNIEnv *env, jclass clss, jlong vdata_id, jint interlace)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VSsizeof (JNIEnv *env, jclass clss, jlong vdata_id, jstring fields)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_VSappendable (JNIEnv *env, jclass clss, jint vkey, jint block_size)
JNIEXPORT void JNICALL | Java_hdf_hdflib_HDFLibrary_VSdump (JNIEnv *env, jclass clss, jint vkey)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VSfindclass (JNIEnv *env, jclass clss, jlong vdata_id, jstring hdfclassname)
JNIEXPORT void JNICALL | Java_hdf_hdflib_HDFLibrary_VSfpack (JNIEnv *env, jclass clss, jlong vdata_id, jint action, jstring fields_in_buf, jarray buf, jint bufsize, jstring fields, jarray bufptrs)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VSgetversion (JNIEnv *env, jclass clss, jint key)
JNIEXPORT void JNICALL | Java_hdf_hdflib_HDFLibrary_VSsetclass (JNIEnv *env, jclass clss, jlong vdata_id, jstring vdata_class)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_VSsetexternalfile (JNIEnv *env, jclass clss, jint vkey, jstring filename, jint offset)
JNIEXPORT void JNICALL | Java_hdf_hdflib_HDFLibrary_VSsetname (JNIEnv *env, jclass clss, jlong vdata_id, jstring vdata_name)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VSwrite (JNIEnv *env, jclass clss, jlong vdata_id, jbyteArray databuf, jint n_records, jint interlace)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_VSattrinfo (JNIEnv *env, jclass clss, jlong id, jint index, jint attr_index, jobjectArray name, jintArray argv)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_VSfindex (JNIEnv *env, jclass clss, jlong id, jstring name, jintArray findex)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VSfindattr (JNIEnv *env, jclass clss, jlong id, jint index, jstring name)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VSfnattrs (JNIEnv *env, jclass clss, jlong id, jint attr)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_VSgetattr (JNIEnv *env, jclass clss, jlong id, jint field_index, jint attr_index, jbyteArray values)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_VSisattr (JNIEnv *env, jclass clss, jlong id)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_VSnattrs (JNIEnv *env, jclass clss, jlong id)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_VSsetattr__JILjava_lang_String_2JILjava_lang_String_2 (JNIEnv *env, jclass clss, jlong id, jint index, jstring attr_name, jlong data_type, jint count, jstring values)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_VSsetattr__JILjava_lang_String_2JI_3B (JNIEnv *env, jclass clss, jlong id, jint index, jstring attr_name, jlong data_type, jint count, jbyteArray values)

## Function Documentation

## ◆ Java_hdf_hdflib_HDFLibrary_VSappendable()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_VSappendable | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | vkey,
|  | jint | block_size )

## ◆ Java_hdf_hdflib_HDFLibrary_VSattach()

JNIEXPORT jlong JNICALL Java_hdf_hdflib_HDFLibrary_VSattach | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | fid,
|  | jint | vdata_ref,
|  | jstring | accessmode )

## ◆ Java_hdf_hdflib_HDFLibrary_VSattrinfo()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_VSattrinfo | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | id,
|  | jint | index,
|  | jint | attr_index,
|  | jobjectArray | name,
|  | jintArray | argv )

## ◆ Java_hdf_hdflib_HDFLibrary_VSdetach()

JNIEXPORT void JNICALL Java_hdf_hdflib_HDFLibrary_VSdetach | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id )

## ◆ Java_hdf_hdflib_HDFLibrary_VSdump()

JNIEXPORT void JNICALL Java_hdf_hdflib_HDFLibrary_VSdump | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | vkey )

## ◆ Java_hdf_hdflib_HDFLibrary_VSelts()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VSelts | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id )

## ◆ Java_hdf_hdflib_HDFLibrary_VSfdefine()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_VSfdefine | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jstring | fieldname,
|  | jint | numbertype,
|  | jint | order )

## ◆ Java_hdf_hdflib_HDFLibrary_VSfexist()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_VSfexist | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jstring | fieldname )

## ◆ Java_hdf_hdflib_HDFLibrary_VSfind()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VSfind | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jstring | fieldname )

## ◆ Java_hdf_hdflib_HDFLibrary_VSfindattr()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VSfindattr | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | id,
|  | jint | index,
|  | jstring | name )

## ◆ Java_hdf_hdflib_HDFLibrary_VSfindclass()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VSfindclass | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jstring | hdfclassname )

## ◆ Java_hdf_hdflib_HDFLibrary_VSfindex()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_VSfindex | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | id,
|  | jstring | name,
|  | jintArray | findex )

## ◆ Java_hdf_hdflib_HDFLibrary_VSfnattrs()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VSfnattrs | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | id,
|  | jint | attr )

## ◆ Java_hdf_hdflib_HDFLibrary_VSfpack()

JNIEXPORT void JNICALL Java_hdf_hdflib_HDFLibrary_VSfpack | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jint | action,
|  | jstring | fields_in_buf,
|  | jarray | buf,
|  | jint | bufsize,
|  | jstring | fields,
|  | jarray | bufptrs )

## ◆ Java_hdf_hdflib_HDFLibrary_VSgetattr()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_VSgetattr | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | id,
|  | jint | field_index,
|  | jint | attr_index,
|  | jbyteArray | values )

## ◆ Java_hdf_hdflib_HDFLibrary_VSgetblockinfo()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_VSgetblockinfo | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jintArray | iargs )

## ◆ Java_hdf_hdflib_HDFLibrary_VSgetclass()

JNIEXPORT void JNICALL Java_hdf_hdflib_HDFLibrary_VSgetclass | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jobjectArray | hdfclass )

## ◆ Java_hdf_hdflib_HDFLibrary_VSgetfields()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VSgetfields | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jobjectArray | fields )

## ◆ Java_hdf_hdflib_HDFLibrary_VSgetid()

JNIEXPORT jlong JNICALL Java_hdf_hdflib_HDFLibrary_VSgetid | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | fid,
|  | jint | vdata_ref )

## ◆ Java_hdf_hdflib_HDFLibrary_VSgetinterlace()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VSgetinterlace | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id )

## ◆ Java_hdf_hdflib_HDFLibrary_VSgetname()

JNIEXPORT void JNICALL Java_hdf_hdflib_HDFLibrary_VSgetname | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jobjectArray | hdfname )

## ◆ Java_hdf_hdflib_HDFLibrary_VSgetversion()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VSgetversion | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | key )

## ◆ Java_hdf_hdflib_HDFLibrary_VSinquire()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_VSinquire | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jintArray | iargs,
|  | jobjectArray | sargs )

## ◆ Java_hdf_hdflib_HDFLibrary_VSisattr()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_VSisattr | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | id )

## ◆ Java_hdf_hdflib_HDFLibrary_VSlone()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VSlone | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | fid,
|  | jintArray | ref_array,
|  | jint | arraysize )

## ◆ Java_hdf_hdflib_HDFLibrary_VSnattrs()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VSnattrs | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | id )

## ◆ Java_hdf_hdflib_HDFLibrary_VSread()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VSread | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jbyteArray | databuf,
|  | jint | nrecords,
|  | jint | interlace )

## ◆ Java_hdf_hdflib_HDFLibrary_VSseek()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VSseek | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jint | nrecord )

## ◆ Java_hdf_hdflib_HDFLibrary_VSsetattr__JILjava_lang_String_2JI_3B()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_VSsetattr__JILjava_lang_String_2JI_3B | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | id,
|  | jint | index,
|  | jstring | attr_name,
|  | jlong | data_type,
|  | jint | count,
|  | jbyteArray | values )

## ◆ Java_hdf_hdflib_HDFLibrary_VSsetattr__JILjava_lang_String_2JILjava_lang_String_2()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_VSsetattr__JILjava_lang_String_2JILjava_lang_String_2 | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | id,
|  | jint | index,
|  | jstring | attr_name,
|  | jlong | data_type,
|  | jint | count,
|  | jstring | values )

## ◆ Java_hdf_hdflib_HDFLibrary_VSsetblocksize()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VSsetblocksize | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jint | blocksize )

## ◆ Java_hdf_hdflib_HDFLibrary_VSsetclass()

JNIEXPORT void JNICALL Java_hdf_hdflib_HDFLibrary_VSsetclass | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jstring | vdata_class )

## ◆ Java_hdf_hdflib_HDFLibrary_VSsetexternalfile()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_VSsetexternalfile | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | vkey,
|  | jstring | filename,
|  | jint | offset )

## ◆ Java_hdf_hdflib_HDFLibrary_VSsetfields()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_VSsetfields | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jstring | fields )

## ◆ Java_hdf_hdflib_HDFLibrary_VSsetinterlace()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_VSsetinterlace | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jint | interlace )

## ◆ Java_hdf_hdflib_HDFLibrary_VSsetname()

JNIEXPORT void JNICALL Java_hdf_hdflib_HDFLibrary_VSsetname | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jstring | vdata_name )

## ◆ Java_hdf_hdflib_HDFLibrary_VSsetnumblocks()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VSsetnumblocks | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jint | numblocks )

## ◆ Java_hdf_hdflib_HDFLibrary_VSsizeof()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VSsizeof | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jstring | fields )

## ◆ Java_hdf_hdflib_HDFLibrary_VSwrite()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_VSwrite | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vdata_id,
|  | jbyteArray | databuf,
|  | jint | n_records,
|  | jint | interlace )